FreeMat

- Main Page
- Related Pages

vtkEmptyRepresentation

Section: Visualization Toolkit View Classes

# Usage

To create an instance of class vtkEmptyRepresentation, simply invoke its constructor as follows

      obj = vtkEmptyRepresentation

# Methods

The class vtkEmptyRepresentation has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkEmptyRepresentation class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkEmptyRepresentation = obj.NewInstance ()`
- `vtkEmptyRepresentation = obj.SafeDownCast (vtkObject o)`
- `vtkAlgorithmOutput = obj.GetInternalAnnotationOutputPort ()` - Since this representation has no inputs, override superclass implementation with one that ignores "port" and "conn" and still allows it to have an annotation output.
- `vtkAlgorithmOutput = obj.GetInternalAnnotationOutputPort (int port)` - Since this representation has no inputs, override superclass implementation with one that ignores "port" and "conn" and still allows it to have an annotation output.
- `vtkAlgorithmOutput = obj.GetInternalAnnotationOutputPort (int port, int conn)` - Since this representation has no inputs, override superclass implementation with one that ignores "port" and "conn" and still allows it to have an annotation output.